#include "main.h"
#include "include/Utils/Utils.h"

#include "boost/property_tree/ptree.hpp"
#include "boost/property_tree/xml_parser.hpp"
#include <set>
#include "boost/foreach.hpp"


extern std::shared_ptr<TMyApplication> App;

int APIENTRY WinMain(HINSTANCE hCurrentInst, HINSTANCE hPreviousInst,
	LPSTR lpszCmdLine, int nCmdShow)
{

	//480x320
	int height = 600;
	int width = 800;

	//int height = 480;
	//int width = 800;

	if (SE::CreateEngine(width, height)) {

		App->OuterInit(width, height, width, height);

		MainLoop(App.get());

		App->OuterDeinit();

		SE::DestroyEngine();
	}

	return 0;
}